### Struct

# WebKit GeolocationPosition

since: 2.26

#### Description [src]

    struct WebKitGeolocationPosition {
      /* No available fields */
    }

An opaque struct to provide position updates to a `WebKitGeolocationManager`.

WebKitGeolocationPosition is an opaque struct used to provide position updates to a `WebKitGeolocationManager` using webkit_geolocation_manager_update_position().

Available since: 2.26

#### Constructors

###### webkit_geolocation_position_new

Create a new `WebKitGeolocationPosition`.

since: 2.26

#### Instance methods

###### webkit_geolocation_position_copy

Make a copy of the `WebKitGeolocationPosition`.

since: 2.26

###### webkit_geolocation_position_free

Free the `WebKitGeolocationPosition`.

since: 2.26

###### webkit_geolocation_position_set_altitude

Set the `position` altitude.

since: 2.26

###### webkit_geolocation_position_set_altitude_accuracy

Set the accuracy of `position` altitude.

since: 2.26

###### webkit_geolocation_position_set_heading

Set the `position` heading.

since: 2.26

###### webkit_geolocation_position_set_speed

Set the `position` speed.

since: 2.26

###### webkit_geolocation_position_set_timestamp

Set the `position` timestamp.

since: 2.26